@import "@styles/utilities/variables";

.leaders-item {
    display: flex;
    flex-direction: row;
    align-items: center;
    width: 100%;
    padding: .4rem .8rem;
    font-size: 1rem;
    border: 4px solid var(--color-primary);
    color: var(--color-primary);

    &:not(:last-child) {
        margin-bottom: .25rem;
    }

    &__position {
        width: 10%;
        padding-right: .5rem;
    }

    &__user {
        width: 70%;
        padding-right: .5rem;
    }

    &__score {
        width: 20%;
        text-align: right;
    }

    &_color_first {
        border-color: map_get($colors, gold);
    }

    &_color_second {
        border-color: map_get($colors, silver);
    }

    &_color_third {
        border-color: map_get($colors, bronze);
    }
}
